New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Translation

Translate texts

POST
/api/v1/translate

Request Body

application/json
  1. body
texts*array<string>

Texts to translate, one result returned per input in input order

target_lang*Target Lang

Target language code or English name

source_lang?|

Source language, when known. Inferred if omitted.

glossary?array<>|

Terminology entries: {source, target, keep}

fit_seconds?array<number|null>|

Per-text time slot in seconds. Requires candidates > 1.

candidates?Candidates

Phrasings to sample per text. 1 returns a plain translation.

Default1

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/translate' \  -H 'Content-Type: application/json' \  -d '{  "texts": [    "Hello there."  ],  "target_lang": "fr"}'
Example Response
null